OpenVDB: MergeVoxelRegions< InputGridType > Struct Template Reference

OpenVDB 3.2.0

Public Types | Public Member Functions | List of all members
MergeVoxelRegions< InputGridType > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
typedef InputGridType::TreeType | InputTreeType
typedef InputTreeType::LeafNodeType | InputLeafNodeType
typedef InputLeafNodeType::ValueType | InputValueType
typedef InputTreeType::template ValueConverter< float >::Type | FloatTreeType
typedef FloatTreeType::LeafNodeType | FloatLeafNodeType
typedef Grid< FloatTreeType > | FloatGridType
typedef InputTreeType::template ValueConverter< Int16 >::Type | Int16TreeType
typedef Int16TreeType::LeafNodeType | Int16LeafNodeType
typedef InputTreeType::template ValueConverter< Index32 >::Type | Index32TreeType
typedef Index32TreeType::LeafNodeType | Index32LeafNodeType
typedef InputTreeType::template ValueConverter< bool >::Type | BoolTreeType
typedef BoolTreeType::LeafNodeType | BoolLeafNodeType

## Public Member Functions
| MergeVoxelRegions (const InputGridType &inputGrid, const Index32TreeType &pointIndexTree, const std::vector< Index32LeafNodeType *> &pointIndexLeafNodes, const std::vector< Int16LeafNodeType *> &signFlagsLeafNodes, InputValueType iso, float adaptivity, bool invertSurfaceOrientation)
void | setSpatialAdaptivity (const FloatGridType &grid)
void | setAdaptivityMask (const BoolTreeType &mask)
void | setRefSignFlagsData (const Int16TreeType &signFlagsData, float internalAdaptivity)
void | operator() (const tbb::blocked_range< size_t > &) const

## Member Typedef Documentation

## ◆ BoolLeafNodeType

typedef BoolTreeType::LeafNodeType BoolLeafNodeType

## ◆ BoolTreeType

typedef InputTreeType::template ValueConverter<bool>::Type BoolTreeType

## ◆ FloatGridType

typedef Grid<FloatTreeType> FloatGridType

## ◆ FloatLeafNodeType

typedef FloatTreeType::LeafNodeType FloatLeafNodeType

## ◆ FloatTreeType

typedef InputTreeType::template ValueConverter<float>::Type FloatTreeType

## ◆ Index32LeafNodeType

typedef Index32TreeType::LeafNodeType Index32LeafNodeType

## ◆ Index32TreeType

typedef InputTreeType::template ValueConverter<Index32>::Type Index32TreeType

## ◆ InputLeafNodeType

typedef InputTreeType::LeafNodeType InputLeafNodeType

## ◆ InputTreeType

typedef InputGridType::TreeType InputTreeType

## ◆ InputValueType

typedef InputLeafNodeType::ValueType InputValueType

## ◆ Int16LeafNodeType

typedef Int16TreeType::LeafNodeType Int16LeafNodeType

## ◆ Int16TreeType

typedef InputTreeType::template ValueConverter<Int16>::Type Int16TreeType

## Constructor & Destructor Documentation

## ◆ MergeVoxelRegions()

MergeVoxelRegions | ( | const InputGridType & | inputGrid,
|  | const Index32TreeType & | pointIndexTree,
|  | const std::vector< Index32LeafNodeType *> & | pointIndexLeafNodes,
|  | const std::vector< Int16LeafNodeType *> & | signFlagsLeafNodes,
|  | InputValueType | iso,
|  | float | adaptivity,
|  | bool | invertSurfaceOrientation
| ) |  |

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const

## ◆ setAdaptivityMask()

void setAdaptivityMask | ( | const BoolTreeType & | mask | ) |
| inline

## ◆ setRefSignFlagsData()

void setRefSignFlagsData | ( | const Int16TreeType & | signFlagsData,
|  | float | internalAdaptivity
| ) |  |
| inline

## ◆ setSpatialAdaptivity()

void setSpatialAdaptivity | ( | const FloatGridType & | grid | ) |
| inline

The documentation for this struct was generated from the following file:

- VolumeToMesh.h